diff --git a/gfx/pics/trainer_pic_pointers.asm b/gfx/pics/trainer_pic_pointers.asm
index 36f4337bf..4c1db41d5 100644
--- a/gfx/pics/trainer_pic_pointers.asm
+++ b/gfx/pics/trainer_pic_pointers.asm
@@ -1,68 +1,68 @@
 
-	dbw BANK(FalknerPic)          - $36, FalknerPic
-	dbw BANK(WhitneyPic)          - $36, WhitneyPic
-	dbw BANK(BugsyPic)            - $36, BugsyPic
-	dbw BANK(MortyPic)            - $36, MortyPic
-	dbw BANK(PrycePic)            - $36, PrycePic
-	dbw BANK(JasminePic)          - $36, JasminePic
-	dbw BANK(ChuckPic)            - $36, ChuckPic
-	dbw BANK(ClairPic)            - $36, ClairPic
-	dbw BANK(Rival1Pic)           - $36, Rival1Pic
-	dbw BANK(PokemonProfPic)      - $36, PokemonProfPic
-	dbw BANK(WillPic)             - $36, WillPic
-	dbw BANK(CalPic)              - $36, CalPic
-	dbw BANK(BrunoPic)            - $36, BrunoPic
-	dbw BANK(KarenPic)            - $36, KarenPic
-	dbw BANK(KogaPic)             - $36, KogaPic
-	dbw BANK(ChampionPic)         - $36, ChampionPic
-	dbw BANK(BrockPic)            - $36, BrockPic
-	dbw BANK(MistyPic)            - $36, MistyPic
-	dbw BANK(LtSurgePic)          - $36, LtSurgePic
-	dbw BANK(ScientistPic)        - $36, ScientistPic
-	dbw BANK(ErikaPic)            - $36, ErikaPic
-	dbw BANK(YoungsterPic)        - $36, YoungsterPic
-	dbw BANK(SchoolboyPic)        - $36, SchoolboyPic
-	dbw BANK(BirdKeeperPic)       - $36, BirdKeeperPic
-	dbw BANK(LassPic)             - $36, LassPic
-	dbw BANK(JaninePic)           - $36, JaninePic
-	dbw BANK(CooltrainermPic)     - $36, CooltrainermPic
-	dbw BANK(CooltrainerfPic)     - $36, CooltrainerfPic
-	dbw BANK(BeautyPic)           - $36, BeautyPic
-	dbw BANK(PokemaniacPic)       - $36, PokemaniacPic
-	dbw BANK(GruntmPic)           - $36, GruntmPic
-	dbw BANK(GentlemanPic)        - $36, GentlemanPic
-	dbw BANK(SkierPic)            - $36, SkierPic
-	dbw BANK(TeacherPic)          - $36, TeacherPic
-	dbw BANK(SabrinaPic)          - $36, SabrinaPic
-	dbw BANK(BugCatcherPic)       - $36, BugCatcherPic
-	dbw BANK(FisherPic)           - $36, FisherPic
-	dbw BANK(SwimmermPic)         - $36, SwimmermPic
-	dbw BANK(SwimmerfPic)         - $36, SwimmerfPic
-	dbw BANK(SailorPic)           - $36, SailorPic
-	dbw BANK(SuperNerdPic)        - $36, SuperNerdPic
-	dbw BANK(Rival2Pic)           - $36, Rival2Pic
-	dbw BANK(GuitaristPic)        - $36, GuitaristPic
-	dbw BANK(HikerPic)            - $36, HikerPic
-	dbw BANK(BikerPic)            - $36, BikerPic
-	dbw BANK(BlainePic)           - $36, BlainePic
-	dbw BANK(BurglarPic)          - $36, BurglarPic
-	dbw BANK(FirebreatherPic)     - $36, FirebreatherPic
-	dbw BANK(JugglerPic)          - $36, JugglerPic
-	dbw BANK(BlackbeltTPic)       - $36, BlackbeltTPic
-	dbw BANK(ExecutivemPic)       - $36, ExecutivemPic
-	dbw BANK(PsychicTPic)         - $36, PsychicTPic
-	dbw BANK(PicnickerPic)        - $36, PicnickerPic
-	dbw BANK(CamperPic)           - $36, CamperPic
-	dbw BANK(ExecutivefPic)       - $36, ExecutivefPic
-	dbw BANK(SagePic)             - $36, SagePic
-	dbw BANK(MediumPic)           - $36, MediumPic
-	dbw BANK(BoarderPic)          - $36, BoarderPic
-	dbw BANK(PokefanmPic)         - $36, PokefanmPic
-	dbw BANK(KimonoGirlPic)       - $36, KimonoGirlPic
-	dbw BANK(TwinsPic)            - $36, TwinsPic
-	dbw BANK(PokefanfPic)         - $36, PokefanfPic
-	dbw BANK(RedPic)              - $36, RedPic
-	dbw BANK(BluePic)             - $36, BluePic
-	dbw BANK(OfficerPic)          - $36, OfficerPic
-	dbw BANK(GruntfPic)           - $36, GruntfPic
-	dbw BANK(MysticalmanPic)      - $36, MysticalmanPic
+	add_pic FalknerPic
+	add_pic WhitneyPic
+	add_pic BugsyPic
+	add_pic MortyPic
+	add_pic PrycePic
+	add_pic JasminePic
+	add_pic ChuckPic
+	add_pic ClairPic
+	add_pic Rival1Pic
+	add_pic PokemonProfPic
+	add_pic WillPic
+	add_pic CalPic
+	add_pic BrunoPic
+	add_pic KarenPic
+	add_pic KogaPic
+	add_pic ChampionPic
+	add_pic BrockPic
+	add_pic MistyPic
+	add_pic LtSurgePic
+	add_pic ScientistPic
+	add_pic ErikaPic
+	add_pic YoungsterPic
+	add_pic SchoolboyPic
+	add_pic BirdKeeperPic
+	add_pic LassPic
+	add_pic JaninePic
+	add_pic CooltrainermPic
+	add_pic CooltrainerfPic
+	add_pic BeautyPic
+	add_pic PokemaniacPic
+	add_pic GruntmPic
+	add_pic GentlemanPic
+	add_pic SkierPic
+	add_pic TeacherPic
+	add_pic SabrinaPic
+	add_pic BugCatcherPic
+	add_pic FisherPic
+	add_pic SwimmermPic
+	add_pic SwimmerfPic
+	add_pic SailorPic
+	add_pic SuperNerdPic
+	add_pic Rival2Pic
+	add_pic GuitaristPic
+	add_pic HikerPic
+	add_pic BikerPic
+	add_pic BlainePic
+	add_pic BurglarPic
+	add_pic FirebreatherPic
+	add_pic JugglerPic
+	add_pic BlackbeltTPic
+	add_pic ExecutivemPic
+	add_pic PsychicTPic
+	add_pic PicnickerPic
+	add_pic CamperPic
+	add_pic ExecutivefPic
+	add_pic SagePic
+	add_pic MediumPic
+	add_pic BoarderPic
+	add_pic PokefanmPic
+	add_pic KimonoGirlPic
+	add_pic TwinsPic
+	add_pic PokefanfPic
+	add_pic RedPic
+	add_pic BluePic
+	add_pic OfficerPic
+	add_pic GruntfPic
+	add_pic MysticalmanPic
diff --git a/gfx/pics/unown_pic_pointers.asm b/gfx/pics/unown_pic_pointers.asm
index 08994df70..a74b818ef 100644
--- a/gfx/pics/unown_pic_pointers.asm
+++ b/gfx/pics/unown_pic_pointers.asm
@@ -1,53 +1,53 @@
 
-	dbw BANK(UnownAFrontpic) - $36, UnownAFrontpic
-	dbw BANK(UnownABackpic)  - $36, UnownABackpic
-	dbw BANK(UnownBFrontpic) - $36, UnownBFrontpic
-	dbw BANK(UnownBBackpic)  - $36, UnownBBackpic
-	dbw BANK(UnownCFrontpic) - $36, UnownCFrontpic
-	dbw BANK(UnownCBackpic)  - $36, UnownCBackpic
-	dbw BANK(UnownDFrontpic) - $36, UnownDFrontpic
-	dbw BANK(UnownDBackpic)  - $36, UnownDBackpic
-	dbw BANK(UnownEFrontpic) - $36, UnownEFrontpic
-	dbw BANK(UnownEBackpic)  - $36, UnownEBackpic
-	dbw BANK(UnownFFrontpic) - $36, UnownFFrontpic
-	dbw BANK(UnownFBackpic)  - $36, UnownFBackpic
-	dbw BANK(UnownGFrontpic) - $36, UnownGFrontpic
-	dbw BANK(UnownGBackpic)  - $36, UnownGBackpic
-	dbw BANK(UnownHFrontpic) - $36, UnownHFrontpic
-	dbw BANK(UnownHBackpic)  - $36, UnownHBackpic
-	dbw BANK(UnownIFrontpic) - $36, UnownIFrontpic
-	dbw BANK(UnownIBackpic)  - $36, UnownIBackpic
-	dbw BANK(UnownJFrontpic) - $36, UnownJFrontpic
-	dbw BANK(UnownJBackpic)  - $36, UnownJBackpic
-	dbw BANK(UnownKFrontpic) - $36, UnownKFrontpic
-	dbw BANK(UnownKBackpic)  - $36, UnownKBackpic
-	dbw BANK(UnownLFrontpic) - $36, UnownLFrontpic
-	dbw BANK(UnownLBackpic)  - $36, UnownLBackpic
-	dbw BANK(UnownMFrontpic) - $36, UnownMFrontpic
-	dbw BANK(UnownMBackpic)  - $36, UnownMBackpic
-	dbw BANK(UnownNFrontpic) - $36, UnownNFrontpic
-	dbw BANK(UnownNBackpic)  - $36, UnownNBackpic
-	dbw BANK(UnownOFrontpic) - $36, UnownOFrontpic
-	dbw BANK(UnownOBackpic)  - $36, UnownOBackpic
-	dbw BANK(UnownPFrontpic) - $36, UnownPFrontpic
-	dbw BANK(UnownPBackpic)  - $36, UnownPBackpic
-	dbw BANK(UnownQFrontpic) - $36, UnownQFrontpic
-	dbw BANK(UnownQBackpic)  - $36, UnownQBackpic
-	dbw BANK(UnownRFrontpic) - $36, UnownRFrontpic
-	dbw BANK(UnownRBackpic)  - $36, UnownRBackpic
-	dbw BANK(UnownSFrontpic) - $36, UnownSFrontpic
-	dbw BANK(UnownSBackpic)  - $36, UnownSBackpic
-	dbw BANK(UnownTFrontpic) - $36, UnownTFrontpic
-	dbw BANK(UnownTBackpic)  - $36, UnownTBackpic
-	dbw BANK(UnownUFrontpic) - $36, UnownUFrontpic
-	dbw BANK(UnownUBackpic)  - $36, UnownUBackpic
-	dbw BANK(UnownVFrontpic) - $36, UnownVFrontpic
-	dbw BANK(UnownVBackpic)  - $36, UnownVBackpic
-	dbw BANK(UnownWFrontpic) - $36, UnownWFrontpic
-	dbw BANK(UnownWBackpic)  - $36, UnownWBackpic
-	dbw BANK(UnownXFrontpic) - $36, UnownXFrontpic
-	dbw BANK(UnownXBackpic)  - $36, UnownXBackpic
-	dbw BANK(UnownYFrontpic) - $36, UnownYFrontpic
-	dbw BANK(UnownYBackpic)  - $36, UnownYBackpic
-	dbw BANK(UnownZFrontpic) - $36, UnownZFrontpic
-	dbw BANK(UnownZBackpic)  - $36, UnownZBackpic
+	add_pic UnownAFrontpic
+	add_pic UnownABackpic
+	add_pic UnownBFrontpic
+	add_pic UnownBBackpic
+	add_pic UnownCFrontpic
+	add_pic UnownCBackpic
+	add_pic UnownDFrontpic
+	add_pic UnownDBackpic
+	add_pic UnownEFrontpic
+	add_pic UnownEBackpic
+	add_pic UnownFFrontpic
+	add_pic UnownFBackpic
+	add_pic UnownGFrontpic
+	add_pic UnownGBackpic
+	add_pic UnownHFrontpic
+	add_pic UnownHBackpic
+	add_pic UnownIFrontpic
+	add_pic UnownIBackpic
+	add_pic UnownJFrontpic
+	add_pic UnownJBackpic
+	add_pic UnownKFrontpic
+	add_pic UnownKBackpic
+	add_pic UnownLFrontpic
+	add_pic UnownLBackpic
+	add_pic UnownMFrontpic
+	add_pic UnownMBackpic
+	add_pic UnownNFrontpic
+	add_pic UnownNBackpic
+	add_pic UnownOFrontpic
+	add_pic UnownOBackpic
+	add_pic UnownPFrontpic
+	add_pic UnownPBackpic
+	add_pic UnownQFrontpic
+	add_pic UnownQBackpic
+	add_pic UnownRFrontpic
+	add_pic UnownRBackpic
+	add_pic UnownSFrontpic
+	add_pic UnownSBackpic
+	add_pic UnownTFrontpic
+	add_pic UnownTBackpic
+	add_pic UnownUFrontpic
+	add_pic UnownUBackpic
+	add_pic UnownVFrontpic
+	add_pic UnownVBackpic
+	add_pic UnownWFrontpic
+	add_pic UnownWBackpic
+	add_pic UnownXFrontpic
+	add_pic UnownXBackpic
+	add_pic UnownYFrontpic
+	add_pic UnownYBackpic
+	add_pic UnownZFrontpic
+	add_pic UnownZBackpic
diff --git a/gfx/trainers/palette_pointers.asm b/gfx/trainers/palette_pointers.asm
index 0c8627204..145c35534 100644
--- a/gfx/trainers/palette_pointers.asm
+++ b/gfx/trainers/palette_pointers.asm
@@ -3,80 +3,81 @@ TrainerPalettes: ; b0ce
 
 PlayerPalette: ; b0ce
 ; The player's palette
-	RGB 25, 18, 12
-	RGB 22, 09, 05
+;	RGB 25, 18, 12
+;	RGB 22, 09, 05
+	INCLUDE "gfx/trainers/cal.pal"
 
 KrisPalette: ; b0d0
-; Apparently Kris uses Falkner's palette
+; Kris uses Falkner's palette
 ;	RGB 27, 17, 14
 ;	RGB 07, 05, 31
 
-FalknerPalette:      INCLUDE "gfx/trainers/000.pal"
-WhitneyPalette:      INCLUDE "gfx/trainers/001.pal"
-BugsyPalette:        INCLUDE "gfx/trainers/002.pal"
-MortyPalette:        INCLUDE "gfx/trainers/003.pal"
-PrycePalette:        INCLUDE "gfx/trainers/004.pal"
-JasminePalette:      INCLUDE "gfx/trainers/005.pal"
-ChuckPalette:        INCLUDE "gfx/trainers/006.pal"
-ClairPalette:        INCLUDE "gfx/trainers/007.pal"
-Rival1Palette:       INCLUDE "gfx/trainers/008.pal"
-PokemonProfPalette:  INCLUDE "gfx/trainers/009.pal"
-WillPalette:         INCLUDE "gfx/trainers/010.pal"
-CalPalette:          INCLUDE "gfx/trainers/011.pal"
-BrunoPalette:        INCLUDE "gfx/trainers/012.pal"
-KarenPalette:        INCLUDE "gfx/trainers/013.pal"
-KogaPalette:         INCLUDE "gfx/trainers/014.pal"
-ChampionPalette:     INCLUDE "gfx/trainers/015.pal"
-BrockPalette:        INCLUDE "gfx/trainers/016.pal"
-MistyPalette:        INCLUDE "gfx/trainers/017.pal"
-LtSurgePalette:      INCLUDE "gfx/trainers/018.pal"
-ScientistPalette:    INCLUDE "gfx/trainers/019.pal"
-ErikaPalette:        INCLUDE "gfx/trainers/020.pal"
-YoungsterPalette:    INCLUDE "gfx/trainers/021.pal"
-SchoolboyPalette:    INCLUDE "gfx/trainers/022.pal"
-BirdKeeperPalette:   INCLUDE "gfx/trainers/023.pal"
-LassPalette:         INCLUDE "gfx/trainers/024.pal"
-JaninePalette:       INCLUDE "gfx/trainers/025.pal"
-CooltrainermPalette: INCLUDE "gfx/trainers/026.pal"
-CooltrainerfPalette: INCLUDE "gfx/trainers/027.pal"
-BeautyPalette:       INCLUDE "gfx/trainers/028.pal"
-PokemaniacPalette:   INCLUDE "gfx/trainers/029.pal"
-GruntmPalette:       INCLUDE "gfx/trainers/030.pal"
-GentlemanPalette:    INCLUDE "gfx/trainers/031.pal"
-SkierPalette:        INCLUDE "gfx/trainers/032.pal"
-TeacherPalette:      INCLUDE "gfx/trainers/033.pal"
-SabrinaPalette:      INCLUDE "gfx/trainers/034.pal"
-BugCatcherPalette:   INCLUDE "gfx/trainers/035.pal"
-FisherPalette:       INCLUDE "gfx/trainers/036.pal"
-SwimmermPalette:     INCLUDE "gfx/trainers/037.pal"
-SwimmerfPalette:     INCLUDE "gfx/trainers/038.pal"
-SailorPalette:       INCLUDE "gfx/trainers/039.pal"
-SuperNerdPalette:    INCLUDE "gfx/trainers/040.pal"
-Rival2Palette:       INCLUDE "gfx/trainers/041.pal"
-GuitaristPalette:    INCLUDE "gfx/trainers/042.pal"
-HikerPalette:        INCLUDE "gfx/trainers/043.pal"
-BikerPalette:        INCLUDE "gfx/trainers/044.pal"
-BlainePalette:       INCLUDE "gfx/trainers/045.pal"
-BurglarPalette:      INCLUDE "gfx/trainers/046.pal"
-FirebreatherPalette: INCLUDE "gfx/trainers/047.pal"
-JugglerPalette:      INCLUDE "gfx/trainers/048.pal"
-BlackbeltTPalette:   INCLUDE "gfx/trainers/049.pal"
-ExecutivemPalette:   INCLUDE "gfx/trainers/050.pal"
-PsychicTPalette:     INCLUDE "gfx/trainers/051.pal"
-PicnickerPalette:    INCLUDE "gfx/trainers/052.pal"
-CamperPalette:       INCLUDE "gfx/trainers/053.pal"
-ExecutivefPalette:   INCLUDE "gfx/trainers/054.pal"
-SagePalette:         INCLUDE "gfx/trainers/055.pal"
-MediumPalette:       INCLUDE "gfx/trainers/056.pal"
-BoarderPalette:      INCLUDE "gfx/trainers/057.pal"
-PokefanmPalette:     INCLUDE "gfx/trainers/058.pal"
-KimonoGirlPalette:   INCLUDE "gfx/trainers/059.pal"
-TwinsPalette:        INCLUDE "gfx/trainers/060.pal"
-PokefanfPalette:     INCLUDE "gfx/trainers/061.pal"
-RedPalette:          INCLUDE "gfx/trainers/062.pal"
-BluePalette:         INCLUDE "gfx/trainers/063.pal"
-OfficerPalette:      INCLUDE "gfx/trainers/064.pal"
-GruntfPalette:       INCLUDE "gfx/trainers/065.pal"
-MysticalmanPalette:  INCLUDE "gfx/trainers/066.pal"
+FalknerPalette:      INCLUDE "gfx/trainers/falkner.pal"
+WhitneyPalette:      INCLUDE "gfx/trainers/whitney.pal"
+BugsyPalette:        INCLUDE "gfx/trainers/bugsy.pal"
+MortyPalette:        INCLUDE "gfx/trainers/morty.pal"
+PrycePalette:        INCLUDE "gfx/trainers/pryce.pal"
+JasminePalette:      INCLUDE "gfx/trainers/jasmine.pal"
+ChuckPalette:        INCLUDE "gfx/trainers/chuck.pal"
+ClairPalette:        INCLUDE "gfx/trainers/clair.pal"
+Rival1Palette:       INCLUDE "gfx/trainers/rival1.pal"
+PokemonProfPalette:  INCLUDE "gfx/trainers/oak.pal"
+WillPalette:         INCLUDE "gfx/trainers/will.pal"
+CalPalette:          INCLUDE "gfx/trainers/cal.pal"
+BrunoPalette:        INCLUDE "gfx/trainers/bruno.pal"
+KarenPalette:        INCLUDE "gfx/trainers/karen.pal"
+KogaPalette:         INCLUDE "gfx/trainers/koga.pal"
+ChampionPalette:     INCLUDE "gfx/trainers/champion.pal"
+BrockPalette:        INCLUDE "gfx/trainers/brock.pal"
+MistyPalette:        INCLUDE "gfx/trainers/misty.pal"
+LtSurgePalette:      INCLUDE "gfx/trainers/lt_surge.pal"
+ScientistPalette:    INCLUDE "gfx/trainers/scientist.pal"
+ErikaPalette:        INCLUDE "gfx/trainers/erika.pal"
+YoungsterPalette:    INCLUDE "gfx/trainers/youngster.pal"
+SchoolboyPalette:    INCLUDE "gfx/trainers/schoolboy.pal"
+BirdKeeperPalette:   INCLUDE "gfx/trainers/bird_keeper.pal"
+LassPalette:         INCLUDE "gfx/trainers/lass.pal"
+JaninePalette:       INCLUDE "gfx/trainers/janine.pal"
+CooltrainermPalette: INCLUDE "gfx/trainers/cooltrainer_m.pal"
+CooltrainerfPalette: INCLUDE "gfx/trainers/cooltrainer_f.pal"
+BeautyPalette:       INCLUDE "gfx/trainers/beauty.pal"
+PokemaniacPalette:   INCLUDE "gfx/trainers/pokemaniac.pal"
+GruntmPalette:       INCLUDE "gfx/trainers/grunt_m.pal"
+GentlemanPalette:    INCLUDE "gfx/trainers/gentleman.pal"
+SkierPalette:        INCLUDE "gfx/trainers/skier.pal"
+TeacherPalette:      INCLUDE "gfx/trainers/teacher.pal"
+SabrinaPalette:      INCLUDE "gfx/trainers/sabrina.pal"
+BugCatcherPalette:   INCLUDE "gfx/trainers/bug_catcher.pal"
+FisherPalette:       INCLUDE "gfx/trainers/fisher.pal"
+SwimmermPalette:     INCLUDE "gfx/trainers/swimmer_m.pal"
+SwimmerfPalette:     INCLUDE "gfx/trainers/swimmer_f.pal"
+SailorPalette:       INCLUDE "gfx/trainers/sailor.pal"
+SuperNerdPalette:    INCLUDE "gfx/trainers/super_nerd.pal"
+Rival2Palette:       INCLUDE "gfx/trainers/rival2.pal"
+GuitaristPalette:    INCLUDE "gfx/trainers/guitarist.pal"
+HikerPalette:        INCLUDE "gfx/trainers/hiker.pal"
+BikerPalette:        INCLUDE "gfx/trainers/biker.pal"
+BlainePalette:       INCLUDE "gfx/trainers/blaine.pal"
+BurglarPalette:      INCLUDE "gfx/trainers/burglar.pal"
+FirebreatherPalette: INCLUDE "gfx/trainers/firebreather.pal"
+JugglerPalette:      INCLUDE "gfx/trainers/juggler.pal"
+BlackbeltTPalette:   INCLUDE "gfx/trainers/blackbelt_t.pal"
+ExecutivemPalette:   INCLUDE "gfx/trainers/executive_m.pal"
+PsychicTPalette:     INCLUDE "gfx/trainers/psychic_t.pal"
+PicnickerPalette:    INCLUDE "gfx/trainers/picnicker.pal"
+CamperPalette:       INCLUDE "gfx/trainers/camper.pal"
+ExecutivefPalette:   INCLUDE "gfx/trainers/executive_f.pal"
+SagePalette:         INCLUDE "gfx/trainers/sage.pal"
+MediumPalette:       INCLUDE "gfx/trainers/medium.pal"
+BoarderPalette:      INCLUDE "gfx/trainers/boarder.pal"
+PokefanmPalette:     INCLUDE "gfx/trainers/pokefan_m.pal"
+KimonoGirlPalette:   INCLUDE "gfx/trainers/kimono_girl.pal"
+TwinsPalette:        INCLUDE "gfx/trainers/twins.pal"
+PokefanfPalette:     INCLUDE "gfx/trainers/pokefan_f.pal"
+RedPalette:          INCLUDE "gfx/trainers/red.pal"
+BluePalette:         INCLUDE "gfx/trainers/blue.pal"
+OfficerPalette:      INCLUDE "gfx/trainers/officer.pal"
+GruntfPalette:       INCLUDE "gfx/trainers/grunt_f.pal"
+MysticalmanPalette:  INCLUDE "gfx/trainers/mysticalman.pal"
 ; b1de
 
diff --git a/macros.asm b/macros.asm
index 739df1bd4..897636c8f 100644
--- a/macros.asm
+++ b/macros.asm
@@ -8,6 +8,7 @@ INCLUDE "macros/move_effect.asm"
 INCLUDE "macros/move_anim.asm"
 INCLUDE "macros/movement.asm"
 INCLUDE "macros/map.asm"
+INCLUDE "macros/pic.asm"
 INCLUDE "macros/predef.asm"
 INCLUDE "macros/rst.asm"
 INCLUDE "macros/mobile.asm"
diff --git a/macros/pic.asm b/macros/pic.asm
new file mode 100644
index 000000000..a01ce7a31
--- /dev/null
+++ b/macros/pic.asm
@@ -0,0 +1,4 @@
+add_pic: MACRO
+	db BANK(\1) - $36
+	dw \1
+ENDM
